package com.jdbernard.timeanalyzer

public class FilteredCategory extends Category{

    List<CategoryFilter> filters = []

    public FilteredCategory(String description) {
        super()
        this.description = description
    }

    public boolean matchesEvent(Event e) {
        return filters.every { filter -> filter.matchesEvent(e) }
    }

}
